import request from '@/utils/request'
import {
	exportEssay
} from './essay'

// 根据关键字分页搜索主体列表
export function getStreetList(data) {
	return request({
		url: `/shianliaoning/remote/getSocialList`,
		method: 'post',
		data
	})
}
// 根据主体id查询详情
export function getInfo(id) {
	return request({
		url: `/shianliaoning/remote/detail?id=${id}`,
		method: 'get',
	})
}
//查询行政许可
export function getAdministrative(id) {
	return request({
		url: `/shianliaoning/remote/getLicense?id=${id}`,
		method: 'get',
	})
}

//查询失信行为
export function getPromise(id) {
	return request({
		url: `/shianliaoning/remote/behavior?id=${id}`,
		method: 'get',
	})
}
//查询违法处罚
export function getPunish(id) {
	return request({
		url: `/shianliaoning/remote/punishment?id=${id}`,
		method: 'get',
	})
}


//通过企业社会信用代码获取评分
export function enterpriseGrade(uniscid) {
	return request({
		url: `/shian/evaluation/findByUniscid?uniscid=${uniscid}`,
		method: 'get',
	})
}



//获取评价
export function getAppraise(data) {
	return request({
		url: `/shian/evaluation/list`,
		method: 'get',
		params: data
	})
}
//新增社会评价
export function addAppraise(data) {
	return request({
		url: `/shian/evaluation`,
		method: 'post',
		data
	})
}
//根据主体id查询监管信息
export function getSupervise(id) {
	return request({
		url: `/shianliaoning/remote/getSupervision?id=${id}`,
		method: 'get',
	})
}
//根据主体id查询所有食品信息
export function getAllFoodList(data) {
	return request({
		url: `/shianliaoning/remote/getMainFood`,
		method: 'post',
		data
	})
}
//查询产品评价
export function foodAllPJ(query) {
	return request({
		url: '/shian/evaluation/getproduct',
		method: 'get',
		params: query
	})
}

// 对接外部系统(解决跨域别人拿不到传入的数据问题)
export function insureSystem(data) {
	return request({
		url: '/shian/bus',
		method: 'post',
		data
	})
}